Bug Hunting Session
Bug 108144 - Notebookbar should have margins surrounding the seperator
Summary: Notebookbar should have margins surrounding the seperator
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords: regression
Depends on:
Blocks: Notebookbar-Tabbed
  Show dependency treegraph
 
Reported: 2017-05-27 03:31 UTC by Volga
Modified: 2017-11-19 14:05 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (27.54 KB, image/png)
2017-05-27 03:33 UTC, Volga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volga 2017-05-27 03:31:43 UTC
Description:
When I enabled Notebookbar in LODev 5.4 beta1, I found buttons and drop down menus looks very closer to the saperator, which looks shameful.

Steps to Reproduce:
Just the usual ways to enable Notebookbar.

Actual Results:  
See my screenshot

Expected Results:
Notebookbar should add margin for saperator.


Reproducible: Always

User Profile Reset: No

Additional Info:
Version: 5.4.0.0.beta1 (x64)
Build ID: 8672113ead4e403c55e31b1d9a3d1e0f3b299577
CPU threads: 4; OS: Windows 6.19; UI render: default; 
Locale: zh-CN (zh_CN); Calc: group


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:53.0) Gecko/20100101 Firefox/53.0
Comment 1 Volga 2017-05-27 03:33:29 UTC
Created attachment 133636 [details]
Screenshot
Comment 2 Yousuf Philips (jay) (retired) 2017-05-27 12:46:13 UTC
Yes this is a regression that happened during the 5.4 development cycle.
Comment 3 Yousuf Philips (jay) (retired) 2017-05-27 14:34:54 UTC
I had seen this bug a while ago and didnt file it as I notified the dev that approved the below patch that it had caused this regression, as all the 6px and 12px spacing tags were removed.

https://gerrit.libreoffice.org/#/c/34490/
Comment 4 andreas_k 2017-11-14 21:38:18 UTC
funny thing is that I thought someone else made the tabbed toolbar ugly now I know I was the guy.

sorry will fix it asap
Comment 5 andreas_k 2017-11-15 08:11:19 UTC
patch for the margin submitted next step is to make the tabbed notebookbar even nicer. if you like, I can show you how it will work and you can play with the notebookbar.ui files Volga.

https://gerrit.libreoffice.org/#/c/44752/
Comment 6 Commit Notification 2017-11-15 12:45:12 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8aa381f8a15a37017ce8b3d01387214125e35b93

tdf#108144: tabbed notebookbar add margins to seperators

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Volga 2017-11-19 04:50:34 UTC
Yes, this is fixed.

Version: 6.0.0.0.alpha1+ (x64)
Build ID: b904d639a801d6d610d8e53ba23cae9781ab9569
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-11-19_02:10:19
Locale: zh-CN (zh_CN); Calc: group